ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Parser.Errors.Basic

Synopsis

- data OperatorWhitespaceSymbol
  - = OperatorWhitespaceSymbol_PrefixPercent
  - | OperatorWhitespaceSymbol_PrefixDollar
  - | OperatorWhitespaceSymbol_PrefixDollarDollar
- pprOperatorWhitespaceSymbol :: OperatorWhitespaceSymbol -> SDoc
- data OperatorWhitespaceOccurrence
  - = OperatorWhitespaceOccurrence_Prefix
  - | OperatorWhitespaceOccurrence_Suffix
  - | OperatorWhitespaceOccurrence_TightInfix

# Documentation

data OperatorWhitespaceSymbol Source #

The operator symbol in the `PsOperatorWhitespaceExtConflictMessage` diagnostic.

Constructors

OperatorWhitespaceSymbol_PrefixPercent |
OperatorWhitespaceSymbol_PrefixDollar |
OperatorWhitespaceSymbol_PrefixDollarDollar |

pprOperatorWhitespaceSymbol :: OperatorWhitespaceSymbol -> SDoc Source #

data OperatorWhitespaceOccurrence Source #

The operator occurrence type in the `PsOperatorWhitespaceMessage` diagnostic.

Constructors

OperatorWhitespaceOccurrence_Prefix |
OperatorWhitespaceOccurrence_Suffix |
OperatorWhitespaceOccurrence_TightInfix |